Status: Resolved Priority: Must have
Author: Arno Dudek Category: File Abstraction Layer (FAL)
Created: 2012-08-21 Assigned To: Steffen Ritter
Updated: 2012-11-20 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity: hard
Is Regression:
Sprint Focus:
Subject: Relation lost after renaming folder
Description

If a folder is renamed in the filemanager the identifier of sys_file_processedfile will not be updated.

Using a file storage /Content
Inserted an image CE /Content/Slider/ImageX.gif
Renamed "Slider" to "TopSlider" 
Image source is the old one. src="/Content/Slider/ImageX.gif"

The behaviour is really strange. If I delete the CE and create a new one (border is set to 1 by default) it works. After deactivating the
border it don't work any more.

Perhaps the field identifier of sys_file_processedfile will be the solution.

Related issues:
related to Core - Bug # 39904: Unresized image not displayed in FE after move... Resolved 2012-08-17
blocked by Core - Bug # 43059: File processing is broken Resolved 2012-11-17

Associated revisions
Revision 66c204f0 - 2012-11-20 23:08 - Andreas Wolf 

[TASK] Refactor FAL file processing

File processing is a central part of TYPO3's file usage, as e.g. all
images in content elements have to be resized when they don't fit the
requirements. However, the current implementation of file processing
with FAL has several drawbacks and shortcomings, not to mention quite a
few bugs.

This patch brings a completely reworked infrastructure behind the
File Processing Service, while keeping the external API unchanged.

The processing to be done is described in tasks, which are part of a
ProcessedFile's properties. The processing itself is now moved to
processors, which could execute the tasks using different utilities,
e.g. ImageMagick or some cloud image processing service. Currently,
there is only a local image processor implementation, which relies on
ImageMagick/GraphicsMagick (i.e. uses the same configuration as the old
processing).
The processed file class now also supports safe handling of unchanged
files, i.e. files that should have been processed, but didn't need
processing.

Fixes: #43059
Fixes: #39904
Fixes: #40033
Fixes: #40669
Releases: 6.0

Change-Id: I186a46f9923dacd98be655d72be2bd89b43866c2
Reviewed-on: http://review.typo3.org/14310
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History
#1 - 2012-08-21 20:32 - Michael Stucki
- Priority changed from Should have to Must have

Can someone confirm this?

#2 - 2012-09-01 12:54 - Andreas Wolf

Hm, I think the identifiers of these processed files are currently not updated by the file/folder moving mechanism. It seems we missed all this stuff for
processed files until now - but we definitely need a way to deal with this...

#3 - 2012-09-01 19:15 - Andreas Wolf
- Status changed from New to Accepted

#4 - 2012-09-05 13:07 - Steffen Ritter
- Assigned To set to Steffen Ritter
- Complexity set to hard

there are some other issues with processedfiles, too

will dig into that this afternoon

#5 - 2012-10-10 15:47 - Steffen Ritter
- Status changed from Accepted to On Hold

processedfiles handling is completely to be rewritten

#6 - 2012-11-20 23:02 - Gerrit Code Review
- Status changed from On Hold to Under Review
Patch set 21 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14310

#7 - 2012-11-20 23:30 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:66c204f0bf3e83d302e6a5f9e367ebda267a015e.

2015-08-04 3/3

http://review.typo3.org/14310

